/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.386 Revision 1.455
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.455 2010/07/04 15:47:00 flameeyes Exp $
4
5 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
6 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
7 -ruby-1.9.1_p376.ebuild:
8 Cleanup old versions.
9
10*ruby-1.9.1_p429 (04 Jul 2010)
11
12 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
13 +ruby-1.9.1_p429.ebuild:
14 Version bump to new 1.9.1 release.
15
16*ruby-1.8.7_p299 (23 Jun 2010)
17
18 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
19 +ruby-1.8.7_p299.ebuild:
20 Version bump.
21
22 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
23 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
24 remove useless comments
25
26 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
27 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
28 ruby-1.9.1_p376.ebuild:
29 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
30 dev.gentoo.org now.
31
32 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
33 ruby-1.9.1_p376.ebuild:
34 Use the correct RUBYLIB.
35
36*ruby-1.8.7_p249-r2 (18 May 2010)
37*ruby-1.8.6_p388-r1 (18 May 2010)
38
39 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
40 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
41 ruby-1.9.1_p376.ebuild, metadata.xml:
42 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
43 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
44 add USE flags for ncurses, readline and libedit, and properly depend on
45 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
46 Emacs versions support ruby-mode themselves and it should be even more
47 updated.
48
49*ruby-1.8.7_p249-r1 (06 May 2010)
50
51 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
52 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
53 309789 by Sune Kloppenborg Jeppesen.
54
55 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
56 ruby-1.8.7_p249.ebuild:
57 Use $PVR instead of $PV in patchset names
58
59 06 May 2010; Alex Legler <a3li@gentoo.org>
60 -files/ruby-1.8.6-memory-leak.diff,
61 -files/ruby18-mkmf-parallel-install.patch,
62 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
63 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
64 Remove old version. Cleanup in files/
65
66*ruby-1.9.1_p376 (01 May 2010)
67
68 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
69 Version bump. Fixes security bugs 296052 and 300468. No longer installs
70 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
71 instead.
72
73 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
74 -ruby-1.8.7_p174-r1.ebuild:
75 Remove vulnerable ebuilds, 300468
76
77 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
78 ruby-1.8.7_p249.ebuild:
79 amd64 stable, security bug 300468
80
81 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
82 ruby-1.8.7_p249.ebuild:
83 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
84
85 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
86 Stable for HPPA (bug #300468).
87
88 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
89 Stable for HPPA (bug #300468).
90
91 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
92 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
93
94 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
95 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
96
97 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
98 ruby-1.8.6_p388.ebuild:
99 stable x86, security bug 300468
100
101 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
102 ruby-1.8.7_p249.ebuild:
103 stable x86, security bug 300468
104
105*ruby-1.8.6_p388 (10 Jan 2010)
106
107 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
108 +ruby-1.8.6_p388.ebuild:
109 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
110 version. The new ebuild also has the fix for bug 168939.
111
112*ruby-1.8.7_p249 (10 Jan 2010)
113
114 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
115 +ruby-1.8.7_p249.ebuild:
116 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
117 version
118
119 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
120 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
121
122*ruby-1.8.7_p248 (25 Dec 2009)
123
124 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
125 Version bump
126
127 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
128 Remove old version.
129
130 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
131 Remove old version.
132
133 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
134 ia64/s390/sh stable wrt #288699
135
136 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
137 stable sparc, bug 288699
138
139 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
140 arm stable, bug #288699
141
142 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
143 amd64/x86 stable, bug #288699
144
145 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
146 ruby-1.8.7_p174-r1.ebuild:
147 Stable on alpha, bug #288699
148
149 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
150 ppc stable #288699
151
152 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
153 Stable for HPPA (bug #288699).
154
155 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
156 Marked ~hppa too.
157
158*ruby-1.8.7_p174-r1 (06 Oct 2009)
159
160 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
161 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
162 eselect-ruby cleanup feature.
163
164*ruby-1.9.1_p243 (09 Sep 2009)
165
166 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
167 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
168 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
169 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
170 -files/ruby19-rubygems-proxy.patch,
171 -files/ruby-1.9.1_p129-parallelmake.patch,
172 -files/ruby19-mkmf-parallel-install.patch:
173 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
174 168939. Cleaning up old patches.
175
176*ruby-1.8.6_p383 (20 Aug 2009)
177
178 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
179 Patchlevel bump.
180
181 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
182 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
183 ruby-1.9.1_p129-r1.ebuild:
184 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
185
186 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
187 Removing vulnerable ebuild, bug 273213.
188
189 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
190 Marking ruby-1.8.6_p369 ppc for bug 273213
191
192 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
193 ruby-1.9.1_p129-r1.ebuild:
194 Prepend our library path instead of overwriting it during src_install.
195 Thanks to the reporter of bug #274824.
196
197*ruby-1.8.7_p174 (18 Jun 2009)
198
199 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
200 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
201 Replacing 187_p173 with _p174 because of a regression. Unifying the
202 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
203 patchsets.
204
205 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
206 Marking ruby-1.8.6_p369 ppc64 for bug 273213
207
208 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
209 arm/ia64/s390/sh/sparc stable wrt #273213
210
211 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
212 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
213 Removing old version, minor cleanup
214
215 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
216 -files/ruby-1.8.6-openssl.patch,
217 -files/ruby-1.8.6-shortname_constants.patch,
218 -files/ruby-1.8.6_p111-r13657.patch,
219 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
220 Removing vulnerable old Ruby version and stale patches, bug 274108.
221
222 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
223 ruby-1.8.6_p369.ebuild:
224 Stable on alpha, bug #273213
225
226 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
227 Stable for HPPA (bug #273213).
228
229 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
230 ruby-1.8.6_p369.ebuild:
231 stable x86, security bug 273213
232
233 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
234 amd64 stable, security bug 273213.
235
236*ruby-1.8.7_p173 (10 Jun 2009)
237*ruby-1.8.6_p369 (10 Jun 2009)
238
239 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
240 +ruby-1.8.7_p173.ebuild:
241 Version bumps for bug #273213.
242
243*ruby-1.9.1_p129-r1 (27 May 2009)
244
245 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
246 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
247 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
248 +files/ruby-1.9.1_p129-parallelmake.patch:
249 Revision bump, add patches 1) to make Ruby behave more similarly between
250 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
251 extensions (undefined symbols in them will cause abort at runtime 3) to
252 remove a concurrency issue when building the dl extension that could
253 result in a broken dl.so.
254
255 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
256 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
257 Don't block rdoc-2 or later (which may enter Portage one day as it's
258 needed by some Rakefiles).
259
260 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
261 ruby-1.9.1_p129.ebuild:
262 Add ~x86-fbsd keyword.
263
264 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
265 keyword ~sparc-fbsd, bug #252315
266
267*ruby-1.9.1_p129 (15 May 2009)
268
269 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
270 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
271 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
272 included in every release.
273
274 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
275 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
276 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
277 ruby-1.8.7_p160.ebuild:
278 Removing vulnerable versions (#268515), fixing license (#233747).
279
280 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
281 Stable for HPPA (bug #268515).
282
283 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
284 Adapting rubygems notice.
285
286 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
287 amd64 stable, bug #268515.
288
289 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
290 arm/ia64/s390/sh/sparc stable wrt #268515
291
292 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
293 ruby-1.8.6_p368.ebuild:
294 stable x86, security bug 268515
295
296 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
297 ruby-1.8.6_p368.ebuild:
298 Stable on alpha, bug #268515
299
300 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
301 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
302
303*ruby-1.8.7_p160 (07 May 2009)
304*ruby-1.8.6_p368 (07 May 2009)
305
306 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
307 +ruby-1.8.7_p160.ebuild:
308 Version bump as per secbug 268515. NB: These are the first ebuilds that
309 no longer use ruby-config.
310
311*ruby-1.9.1-r1 (03 Apr 2009)
312*ruby-1.8.7_p72-r11 (03 Apr 2009)
313*ruby-1.8.6_p287-r13 (03 Apr 2009)
314
315 03 Apr 2009; Alex Legler <a3li@gentoo.org>
316 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
317 +files/ruby18-mkmf-parallel-install.patch,
318 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
319 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
320 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
321 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
322 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
323 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
324 happy.
325
326*ruby-1.9.1 (21 Mar 2009)
327
328 21 Mar 2009; Alex Legler <a3li@gentoo.org>
329 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
330 +ruby-1.9.1.ebuild:
331 Adding Ruby 1.9.1 for preliminary testing
332
333 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
334 ruby-1.8.6_p287-r12.ebuild:
335 Marked ~ppc for bug #252315.
4 336
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild: 337 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes 338 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982. 339 bug 261982.
8 340

Legend:
Removed from v.1.386  
changed lines
  Added in v.1.455

  ViewVC Help
Powered by ViewVC 1.1.20